#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#


%define old_libkf5exiv2 %mklibname kexiv2_ 9
%define old2_libkf5exiv2 %mklibname kexiv2_11
%define rel 1

Name: libkexiv2
Summary: Wrapper around exiv2 library
Version: 16.12.3
Release: %mkrel %{rel}
Epoch: 2
Group: System/Libraries
License: GPLv2
URL: https://projects.kde.org/projects/kde/kdegraphics/libs/libkf5exiv2
Source: http://download.kde.org/stable/applications/%{version}/src/%name-%version.tar.xz

BuildRequires: pkgconfig(exiv2) >= 0.25
BuildRequires: pkgconfig(Qt5Core)
BuildRequires: pkgconfig(Qt5Widgets)
BuildRequires: pkgconfig(Qt5Gui)
BuildRequires: pkgconfig(Qt5Xml)

BuildRequires: kf5-macros
BuildRequires: kcoreaddons-devel
BuildRequires: ki18n-devel
BuildRequires: ktextwidgets-devel

# Branch Patch (100-200)

%description
Libkexiv2 is a wrapper around Exiv2 library to manipulate pictures
metadata as EXIF/IPTC and XMP.

#------------------------------------------------------------------------------

%define kexiv2_major 5
%define libkf5exiv2 %mklibname kf5exiv2_ %kexiv2_major

%package -n %{libkf5exiv2}
Summary: %{name} library
Group: System/Libraries
Requires: %{name} = %epoch:%version-%release
Conflicts: %{old_libkf5exiv2} < 2:4.6.90
%rename %old2_libkf5exiv2
%rename %name

%description -n %{libkf5exiv2}
Libkexiv2 is a wrapper around Exiv2 library to manipulate pictures
metadata as EXIF/IPTC and XMP.

%files -n %{libkf5exiv2}
%{_kf5_libdir}/libKF5KExiv2.so.%{kexiv2_major}*
%{_kf5_libdir}/libKF5KExiv2.so.15*

#------------------------------------------------------------------------------

%define libkf5exiv2_devel %mklibname kf5exiv2 -d

%package -n %{libkf5exiv2_devel}
Summary: Devel stuff for %name
Group: Development/KDE and Qt
Requires: %libkf5exiv2 = %epoch:%version-%release
Conflicts: kdegraphics4-devel < 2:4.6.10
Conflicts: libkf5exiv2-devel < 2:4.9.2-2
Obsoletes: libkf5exiv2-devel < 2:4.9.2-2
Provides:   %name-devel = %epoch:%version-%release

%description -n %{libkf5exiv2_devel}
Libkexiv2 is a wrapper around Exiv2 library to manipulate pictures
metadata as EXIF/IPTC and XMP.

This package contains header files needed if you wish to build applications
based on libkf5exiv2.

%files -n %{libkf5exiv2_devel}
%{_kf5_includedir}/KExiv2
%{_kf5_includedir}/libkexiv2_version.h
%{_kf5_libdir}/*.so
%{_kf5_libdir}/cmake/KF5KExiv2

#------------------------------------------------------------------------------

%prep
%setup -q 
%autopatch -p1

%build
export LD=/usr/bin/ld.gold 
%cmake_kf5
%make

%install
%makeinstall_std -C build


%changelog
* Wed Mar 08 2017 neoclust <neoclust> 2:16.12.3-1.mga6
+ Revision: 1090147
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 2:16.12.0-1.mga6
+ Revision: 1076889
- New version 16.12.0

* Sun Dec 04 2016 neoclust <neoclust> 2:16.11.90-1.mga6
+ Revision: 1072082
- New version 16.11.90

* Tue Nov 15 2016 neoclust <neoclust> 2:16.08.3-1.mga6
+ Revision: 1067401
- New version 16.08.3

* Mon Oct 17 2016 neoclust <neoclust> 2:16.08.2-1.mga6
+ Revision: 1061464
- New version 16.08.2

* Thu Sep 08 2016 neoclust <neoclust> 2:16.08.1-1.mga6
+ Revision: 1050727
- New version 16.08.1

* Sat Aug 20 2016 neoclust <neoclust> 2:16.08.0-1.mga6
+ Revision: 1047376
- New version 16.08.0

* Sat Jul 09 2016 neoclust <neoclust> 2:16.04.3-1.mga6
+ Revision: 1040130
- New version 16.04.3
- New version 16.04.2

* Wed May 11 2016 neoclust <neoclust> 2:16.04.1-1.mga6
+ Revision: 1012620
- New version 16.04.1

* Fri Apr 22 2016 neoclust <neoclust> 2:16.04.0-1.mga6
+ Revision: 1004409
- New version 16.04.0

* Thu Mar 24 2016 neoclust <neoclust> 2:16.03.80-1.mga6
+ Revision: 994975
- New version 16.03.80

* Wed Mar 16 2016 neoclust <neoclust> 2:15.12.3-1.mga6
+ Revision: 991251
- New version 15.12.3

* Tue Mar 08 2016 neoclust <neoclust> 2:15.12.2-1.mga6
+ Revision: 987529
- New version 15.12.2

* Wed Jan 13 2016 neoclust <neoclust> 2:15.12.1-1.mga6
+ Revision: 922693
- New version 15.12.1

* Thu Dec 31 2015 neoclust <neoclust> 2:15.12.0-2.mga6
+ Revision: 917115
- Use official tarball

* Sat Dec 19 2015 neoclust <neoclust> 2:15.12.0-1.mga6
+ Revision: 912048
- New version 15.12.0

* Mon Nov 23 2015 neoclust <neoclust> 2:15.11.80-1.mga6
+ Revision: 905518
- New version 15.11.80

* Tue Nov 10 2015 neoclust <neoclust> 2:15.08.3-1.mga6
+ Revision: 901070
- New version 15.08.3
- New version 15.08.2

* Fri Sep 18 2015 neoclust <neoclust> 2:15.08.1-1.mga6
+ Revision: 880925
- New version 15.08.1
- New version 15.08.0

* Wed Aug 26 2015 sander85 <sander85> 2:15.08.0-4.mga6
+ Revision: 869760
- Rebuild for exiv2 0.25

* Sun Aug 23 2015 neoclust <neoclust> 2:15.08.0-3.mga6
+ Revision: 868853
- Fix provides

* Sun Aug 23 2015 neoclust <neoclust> 2:15.08.0-2.mga6
+ Revision: 868702
- Use KF5 port branch

* Thu Aug 20 2015 neoclust <neoclust> 2:15.08.0-1.mga6
+ Revision: 866368
- New version 15.08.0

* Wed Jul 29 2015 lmenut <lmenut> 2:15.07.80-1.mga6
+ Revision: 858990
- Update to KDE Applications 15.08 Beta

* Wed Dec 03 2014 lmenut <lmenut> 2:4.14.3-1.mga5
+ Revision: 800665
- Update to KDE SC 4.14.3

* Sat Oct 18 2014 lmenut <lmenut> 2:4.14.2-1.mga5
+ Revision: 787763
- Update to KDE SC 4.14.2
  remove patch100 merged upstream

* Wed Oct 15 2014 umeabot <umeabot> 2:4.14.1-3.mga5
+ Revision: 740781
- Second Mageia 5 Mass Rebuild

* Sun Oct 05 2014 lmenut <lmenut> 2:4.14.1-2.mga5
+ Revision: 737014
- add upstream patch to prevent crash if index is out of QList range
  (bko#339144)

* Thu Oct 02 2014 lmenut <lmenut> 2:4.14.1-1.mga5
+ Revision: 734617
- Update to KDE SC 4.14.1

* Tue Sep 16 2014 umeabot <umeabot> 2:4.14.0-2.mga5
+ Revision: 681555
- Mageia 5 Mass Rebuild

* Mon Aug 25 2014 lmenut <lmenut> 2:4.14.0-1.mga5
+ Revision: 667550
- Update to KDE SC 4.14.0
- Use official URL http://download.kde.org for Source

* Fri Aug 15 2014 lmenut <lmenut> 2:4.13.97-1.mga5
+ Revision: 663062
- Update to KDE SC 4.13.97 aka KDE SC 4.14 RC

* Sat Jul 26 2014 lmenut <lmenut> 2:4.13.95-1.mga5
+ Revision: 656740
- Update to KDE SC 4.13.95 aka KDE SC 4.14 Beta3

* Sat Jul 19 2014 lmenut <lmenut> 2:4.13.90-1.mga5
+ Revision: 653925
- Update to KDE SC 4.13.90 aka KDE SC 4.14 Beta2

* Mon Jul 14 2014 lmenut <lmenut> 2:4.13.80-1.mga5
+ Revision: 652036
- Update to KDE SC 4.13.80 aka KDE SC 4.14 Beta1

* Sun Jun 15 2014 lmenut <lmenut> 2:4.13.2-1.mga5
+ Revision: 636799
- Update to KDE SC 4.13.2

* Sat May 24 2014 lmenut <lmenut> 2:4.13.1-1.mga5
+ Revision: 625566
- Update to KDE SC 4.13.1

* Thu Apr 17 2014 lmenut <lmenut> 2:4.13.0-1.mga5
+ Revision: 615647
- Update to KDE SC 4.13.0

* Sat Mar 29 2014 lmenut <lmenut> 2:4.12.97-1.mga5
+ Revision: 609459
- Update to KDE SC 4.12.97 aka KDE SC 4.13 RC

* Sun Mar 23 2014 lmenut <lmenut> 2:4.12.95-1.mga5
+ Revision: 606900
- Update to KDE SC 4.12.95 aka KDE SC 4.13 Beta3

* Fri Mar 14 2014 neoclust <neoclust> 2:4.12.90-1.mga5
+ Revision: 603407
- New version 4.12.80

* Fri Mar 07 2014 neoclust <neoclust> 2:4.12.80-1.mga5
+ Revision: 600741
- New version 4.12.80
- New version 4.12.3
- New version 4.12.3

* Thu Feb 13 2014 neoclust <neoclust> 2:4.12.2-1.mga5
+ Revision: 590794
- New version 4.12.2

* Mon Feb 10 2014 dams <dams> 2:4.11.5-2.mga5
+ Revision: 589087
- rebuild for new exiv2

  + neoclust <neoclust>
    - Update tarball to KDE SC 4.11.5

* Wed Dec 04 2013 lmenut <lmenut> 2:4.11.4-1.mga4
+ Revision: 555059
- Update tarball to KDE SC 4.11.4

* Thu Nov 14 2013 lmenut <lmenut> 2:4.11.3-1.mga4
+ Revision: 551331
- Update tarball to KDE SC 4.11.3

* Mon Oct 21 2013 umeabot <umeabot> 2:4.11.2-2.mga4
+ Revision: 539780
- Mageia 4 Mass Rebuild

* Thu Oct 03 2013 mikala <mikala> 2:4.11.2-1.mga4
+ Revision: 490663
- Update tarball to KDE SC 4.11.2

* Mon Sep 09 2013 mikala <mikala> 2:4.11.1-1.mga4
+ Revision: 476708
- Update tarball to KDE SC 4.11.1

* Sat Aug 10 2013 mikala <mikala> 2:4.11.0-1.mga4
+ Revision: 465101
- Update tarball to KDE SC 4.11.0

* Sat Jul 27 2013 lmenut <lmenut> 2:4.10.97-1.mga4
+ Revision: 458977
- Update tarball to KDE SC 4.10.97 aka KDE SC 4.11 RC2

* Wed Jul 17 2013 lmenut <lmenut> 2:4.10.95-1.mga4
+ Revision: 455363
- Update tarball to KDE SC 4.10.95 aka KDE SC 4.11 RC1

* Fri Jun 28 2013 mikala <mikala> 2:4.10.90-1.mga4
+ Revision: 447846
- Update tarball to KDE SC 4.10.90 aka KDE SC 4.11 Beta 2
- Update tarball to KDE SC 4.10.80 aka KDE SC 4.11 Beta 1

* Mon Jun 03 2013 mikala <mikala> 2:4.10.4-1.mga4
+ Revision: 435638
- Update tarball to KDE SC 4.10.4

* Sun May 26 2013 mikala <mikala> 2:4.10.3-1.mga4
+ Revision: 428316
- Update tarball to KDE SC 4.10.3

* Tue Apr 02 2013 mikala <mikala> 2:4.10.2-1.mga3
+ Revision: 407135
- Update tarball to KDE SC 4.10.2

* Sat Mar 09 2013 lmenut <lmenut> 2:4.10.1-1.mga3
+ Revision: 401937
- Update tarball to KDE SC 4.10.1

* Fri Feb 08 2013 fwang <fwang> 2:4.10.0-2.mga3
+ Revision: 395346
- add requires on main package, as it contains data files needed at runtime

* Mon Feb 04 2013 mikala <mikala> 2:4.10.0-1.mga3
+ Revision: 394320
- Update tarball to KDE SC 4.10.0
- Update tarball to KDE SC 4.9.98 aka KDE SC 4.10 RC3

* Sat Jan 12 2013 umeabot <umeabot> 2:4.9.97-2.mga3
+ Revision: 357595
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 mikala <mikala> 2:4.9.97-1.mga3
+ Revision: 339288
- Update tarball to KDE SC 4.9.97 aka KDE SC 4.10 RC2

* Mon Dec 24 2012 mikala <mikala> 2:4.9.95-1.mga3
+ Revision: 334470
- Update tarball to KDE SC 4.9.95 aka KDE SC 4.10 RC1

* Tue Dec 04 2012 mikala <mikala> 2:4.9.90-1.mga3
+ Revision: 326612
- Update tarball to KDE SC 4.9.90 aka KDE SC 4.10 Beta2

* Wed Nov 21 2012 mikala <mikala> 2:4.9.80-1.mga3
+ Revision: 320158
- Update tarball to KDE SC 4.9.80 aka KDE SC 4.10 Beta1

* Wed Nov 07 2012 mikala <mikala> 2:4.9.3-1.mga3
+ Revision: 316111
- Update tarball to KDE SC 4.9.3

* Tue Oct 02 2012 mikala <mikala> 2:4.9.2-1.mga3
+ Revision: 301895
- Update tarball to KDE SC 4.9.2

* Sat Sep 08 2012 mikala <mikala> 2:4.9.1-1.mga3
+ Revision: 289640
- Update tarball to KDE SC 4.9.1

* Tue Jul 31 2012 mikala <mikala> 2:4.9.0-1.mga3
+ Revision: 276620
- Silent: Fix Source URL
- Update tarball to KDE 4.9.0

* Thu Jul 12 2012 fwang <fwang> 2:4.8.97-1.mga3
+ Revision: 269713
- new version 4.8.97

* Sat Jun 30 2012 fwang <fwang> 2:4.8.95-1.mga3
+ Revision: 265287
- bump libmajor
- new version 4.8.95

* Mon Jun 18 2012 fwang <fwang> 2:4.8.4-2.mga3
+ Revision: 261604
- rebuild for new exiv2

* Fri Jun 08 2012 fwang <fwang> 2:4.8.4-1.mga3
+ Revision: 257181
- new version 4.8.4

* Wed Apr 04 2012 fwang <fwang> 2:4.8.2-1.mga2
+ Revision: 228479
- new version 4.8.2

* Thu Mar 08 2012 mikala <mikala> 2:4.8.1-1.mga2
+ Revision: 221508
- New upstream tarball

* Thu Jan 19 2012 mikala <mikala> 2:4.8.0-1.mga2
+ Revision: 198110
- Updating tarball to KDE 4.8.0

* Thu Jan 05 2012 mikala <mikala> 2:4.7.97-1.mga2
+ Revision: 190860
- Update tarball to KDE SC 4.7.97

* Thu Dec 22 2011 mikala <mikala> 2:4.7.95-1.mga2
+ Revision: 185797
- Update tarball to KDE SC 4.7.95

* Thu Dec 15 2011 mikala <mikala> 2:4.7.90-1.mga2
+ Revision: 182174
- Update tarball to KDE SC 4.7.90
- Remove redundant requires on -devel package
- use gold for linker
- build with -DKDE4_ENABLE_FINAL=ON

* Sun Dec 04 2011 mikala <mikala> 2:4.7.4-1.mga2
+ Revision: 176518
- Update tarball to KDE SC 4.7.4

* Wed Nov 02 2011 mikala <mikala> 2:4.7.3-1.mga2
+ Revision: 161464
- Update tarball to KDE SC 4.7.3

* Sun Oct 09 2011 fwang <fwang> 2:4.7.2-2.mga2
+ Revision: 153438
- rebuild for new exiv2

* Wed Oct 05 2011 mikala <mikala> 2:4.7.2-1.mga2
+ Revision: 151980
- Update tarball to KDE SC 4.7.2

* Wed Sep 07 2011 mikala <mikala> 2:4.7.1-1.mga2
+ Revision: 140671
- Update tarball to KDE SC 4.7.1
- Remove %%defattr()
- Remove %%clean section
- Update tarball to KDE SC 4.7.0
- use pkgconfig() for buildrequires

* Mon Jul 11 2011 mikala <mikala> 2:4.6.95-0.mga2
+ Revision: 122308
- Update tarball to KDE 4.6.95 ( KDE SC 4.7 RC2)

* Wed Jun 29 2011 mikala <mikala> 2:4.6.90-1.mga2
+ Revision: 115906
- imported package libkexiv2

  + fwang <fwang>
    - move lib conflicts in to main package, it is the correct place for it
    - add conflits on older kdegraphic4-devel for upgrading

